Bug 134522 - Remove --with-build-version flag
Summary: Remove --with-build-version flag
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.0.0.0.beta1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0 target:7.0.1
Keywords: bibisectRequest
Depends on:
Blocks:
 
Reported: 2020-07-05 09:37 UTC by Rene Engelhard
Modified: 2020-07-26 15:59 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
dialog comparison (464.23 KB, image/png)
2020-07-05 11:28 UTC, Rene Engelhard
Details
--with-build-version vs. --with-extra-buildid (574.42 KB, image/png)
2020-07-05 16:29 UTC, Rene Engelhard
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rene Engelhard 2020-07-05 09:37:49 UTC
Description:
Hi,

I use

--with-build-version='$(DEB_VERSION)' \

in my packages to also display the Debian package version in About.

Worked until 6.4.5, you get:

Build-ID: 1:6.4.5-1

Looks like the old dialog got it from the info of the system:

$ grep 6.1.5 /usr/lib/libreoffice/program/*rc
/usr/lib/libreoffice/program/versionrc:BuildVersion=1:6.1.5-3+deb10u6

That one is still there in 7.0.0:

# cat /usr/lib/libreoffice/program/versionrc 
[Version]
AllLanguages=en-US af am ar as ast be bg bn br bs ca ca-valencia cs cy da de dz el en-GB en-ZA eo es et eu fa fi fr ga gd gl gu gug he hi hr hu id is it ja ka kk km kmr-Latn kn ko lt lv mk mn ml mr nb ne nl nn nr nso oc om or pa-IN pl pt pt-BR ro ru rw si sk sl sr sr-Latn ss st sv szl ta te tg th tn tr ts ug uk uz ve vi xh zh-CN zh-TW zu
BuildVersion=1:7.0.0~rc1-3
[...]

but oesn't appear in the dialog anymore.

Regards,

Rene

P.S.: What is the difference between that long-existing --with-build-version and the (new?) --with-extra-buildid? Should one use --with-extra-buildid? That seems to be honoured in cui directly. (Then --with-build-version should have been removed already.)

Steps to Reproduce:
-

Actual Results:
-

Expected Results:
-


Reproducible: Always


User Profile Reset: No



Additional Info:
-
Comment 1 Rene Engelhard 2020-07-05 09:40:33 UTC
(if that one's fixed, please backport it to libreoffice-7-0)
Comment 2 Heiko Tietze 2020-07-05 09:43:33 UTC
Cannot see where this should have been lost in [1], QA please do your magic.

To me it's not so clear whether we should keep the -with-build-version switch (and show it consequently) or remove it. Cloph, what's your opinion?

[1] https://gerrit.libreoffice.org/c/core/+/91908
Comment 3 Rene Engelhard 2020-07-05 11:28:20 UTC
Created attachment 162658 [details]
dialog comparison
Comment 4 Rene Engelhard 2020-07-05 16:29:18 UTC
Created attachment 162662 [details]
--with-build-version vs. --with-extra-buildid

Hmm, ok, --with-extra-buildid does what it does if I add "Debian package version" (or so) there.

(see new screenshot.)

So if it was intended that --with-build-version is not honoured that might go away...
Comment 5 Heiko Tietze 2020-07-05 17:52:10 UTC
IIRC I removed it from the Ui to save space. The build ID is still in the copied information. But your comment 4 is a good question.
Comment 6 Heiko Tietze 2020-07-16 14:49:14 UTC
Discussed the topic in the ESC meeting today and there was no concerns to remove one of the two flags.
Comment 7 Rene Engelhard 2020-07-16 16:08:11 UTC
No, this is not an enhancement.

Right now we have a ./configure option doing nothing. 

This is not an enhancement but a bug.
Comment 8 Rene Engelhard 2020-07-16 16:19:37 UTC
https://gerrit.libreoffice.org/c/core/+/98923
Comment 9 Heiko Tietze 2020-07-16 18:41:38 UTC
(In reply to Rene Engelhard from comment #7)
> Right now we have a ./configure option doing nothing. 

That's wrong. The information is shown in the copied text.
Comment 10 Rene Engelhard 2020-07-16 18:46:56 UTC
OK, maybe, but it is not visible so people will not see it, as shown in my screenshots. I'd for sure not expect it being there when one doesn't see it.
Comment 11 Commit Notification 2020-07-23 08:52:34 UTC
Rene Engelhard committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5fdf2009d21fa220dfee70ea755bd698c16257a7

tdf#134522 remove --with-build-version ./configure flag

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2020-07-26 15:59:20 UTC
Rene Engelhard committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/a2918297c1d105f0ab7b52f28fc325af6440394b

tdf#134522 remove --with-build-version ./configure flag

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.